View Issue Details

IDProjectCategoryView StatusLast Update
0001059SOGoBackend Generalpublic2016-04-21 16:04
Reporterkmolnar Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.4 
Fixed in Version2.3.11 
Summary0001059: Can't use certain non alphanumeric characters in PostgreSQL password
Description

SOGo can't connect to PostgreSQL if either '%' or '^' is used in password. These are legitimate non alphanumeric characters in password. I don't know what else don't work. I tried the following that do work: '()$!*'

TagsNo tags attached.

Activities

ludovic

ludovic

2011-02-15 16:57

administrator   ~0002115

'%' or '^' in the password in your .GNUstepDefaults file?

kmolnar

kmolnar

2011-02-15 19:47

reporter   ~0002118

Correct. When the '%' or '^' characters are used in the .GNUstepDefaults file in the OCSFolderInfoURL or other database related settings, SOGo fails to connect to PostgreSQL.

ludovic

ludovic

2016-04-21 16:04

administrator   ~0010002

also for 3.0.3

Related Changesets

sogo: master 6e1369e6

2016-04-21 16:00:02

ludovic

Details Diff
(doc) improve the doc regarding non-alpha characters in password (fixes 0001059) Affected Issues
0001059
mod - Documentation/SOGoInstallationGuide.asciidoc Diff File

sogo: v2 05505eb3

2016-04-21 16:00:02

ludovic

Details Diff
(doc) improve the doc regarding non-alpha characters in password (fixes 0001059) Affected Issues
0001059
mod - Documentation/SOGoInstallationGuide.asciidoc Diff File

Issue History

Date Modified Username Field Change
2010-12-20 15:29 kmolnar New Issue
2011-02-15 16:57 ludovic Note Added: 0002115
2011-02-15 19:47 kmolnar Note Added: 0002118
2011-02-16 14:27 ludovic Status new => assigned
2011-02-16 14:27 ludovic Assigned To => ludovic
2016-04-21 16:01 ludovic Changeset attached => sogo master 6e1369e6
2016-04-21 16:01 ludovic Resolution open => fixed
2016-04-21 16:02 ludovic Changeset attached => sogo v2 05505eb3
2016-04-21 16:04 ludovic Note Added: 0010002
2016-04-21 16:04 ludovic Status assigned => resolved
2016-04-21 16:04 ludovic Fixed in Version => 2.3.11